Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226416 - Merge Review: shadow-utils
Summary: Merge Review: shadow-utils
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: F9MergeReviewTarget
TreeView+ depends on / blocked
 
Reported: 2007-01-31 20:59 UTC by Nobody's working on this, feel free to take it
Modified: 2009-01-20 16:57 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-20 16:57:22 UTC
gwync: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 20:59:02 UTC
Fedora Merge Review: shadow-utils

http://cvs.fedora.redhat.com/viewcvs/devel/shadow-utils/
Initial Owner: pvrabec@redhat.com

Comment 1 Gwyn Ciesla 2008-01-25 17:39:58 UTC
rpmlint on srpm:

shadow-utils.src: W: mixed-use-of-spaces-and-tabs (spaces: line 140, tab: line 66)
The specfile mixes use of spaces and tabs for indentation, which is a
cosmetic annoyance.  Use either spaces or tabs for indentation, not both.

Minor.

rpmlint on rpms:

shadow-utils.i386: E: non-readable /usr/sbin/userdel 0750
The file can't be read by everybody. If this is expected (for security
reasons), contact your rpmlint distributor to get it added to the list of
exceptions for your distro (or add it to your local configuration if you
installed rpmlint from the source tarball).

shadow-utils.i386: E: non-standard-executable-perm /usr/sbin/userdel 0750
A standard executable should have permission set to 0755. If you get this
message, it means that you have a wrong executable permissions in some files
included in your package.

shadow-utils.i386: E: non-readable /usr/sbin/groupdel 0750
The file can't be read by everybody. If this is expected (for security
reasons), contact your rpmlint distributor to get it added to the list of
exceptions for your distro (or add it to your local configuration if you
installed rpmlint from the source tarball).

shadow-utils.i386: E: non-standard-executable-perm /usr/sbin/groupdel 0750
A standard executable should have permission set to 0755. If you get this
message, it means that you have a wrong executable permissions in some files
included in your package.

shadow-utils.i386: E: non-readable /usr/sbin/groupmems 0750
The file can't be read by everybody. If this is expected (for security
reasons), contact your rpmlint distributor to get it added to the list of
exceptions for your distro (or add it to your local configuration if you
installed rpmlint from the source tarball).

shadow-utils.i386: E: non-standard-executable-perm /usr/sbin/groupmems 0750
A standard executable should have permission set to 0755. If you get this
message, it means that you have a wrong executable permissions in some files
included in your package.

shadow-utils.i386: E: setuid-binary /usr/bin/newgrp root 04755
The file is setuid, this may be dangerous, especially if this
file is setuid root.

shadow-utils.i386: E: non-standard-executable-perm /usr/bin/newgrp 04755
A standard executable should have permission set to 0755. If you get this
message, it means that you have a wrong executable permissions in some files
included in your package.

shadow-utils.i386: E: non-readable /usr/sbin/groupadd 0750
The file can't be read by everybody. If this is expected (for security
reasons), contact your rpmlint distributor to get it added to the list of
exceptions for your distro (or add it to your local configuration if you
installed rpmlint from the source tarball).

shadow-utils.i386: E: non-standard-executable-perm /usr/sbin/groupadd 0750
A standard executable should have permission set to 0755. If you get this
message, it means that you have a wrong executable permissions in some files
included in your package.

shadow-utils.i386: E: setuid-binary /usr/bin/chage root 04755
The file is setuid, this may be dangerous, especially if this
file is setuid root.

shadow-utils.i386: E: non-standard-executable-perm /usr/bin/chage 04755
A standard executable should have permission set to 0755. If you get this
message, it means that you have a wrong executable permissions in some files
included in your package.

shadow-utils.i386: E: non-readable /etc/default/useradd 0600
The file can't be read by everybody. If this is expected (for security
reasons), contact your rpmlint distributor to get it added to the list of
exceptions for your distro (or add it to your local configuration if you
installed rpmlint from the source tarball).

shadow-utils.i386: E: non-readable /usr/sbin/usermod 0750
The file can't be read by everybody. If this is expected (for security
reasons), contact your rpmlint distributor to get it added to the list of
exceptions for your distro (or add it to your local configuration if you
installed rpmlint from the source tarball).

shadow-utils.i386: E: non-standard-executable-perm /usr/sbin/usermod 0750
A standard executable should have permission set to 0755. If you get this
message, it means that you have a wrong executable permissions in some files
included in your package.

shadow-utils.i386: E: setuid-binary /usr/bin/gpasswd root 04755
The file is setuid, this may be dangerous, especially if this
file is setuid root.

shadow-utils.i386: E: non-standard-executable-perm /usr/bin/gpasswd 04755
A standard executable should have permission set to 0755. If you get this
message, it means that you have a wrong executable permissions in some files
included in your package.

shadow-utils.i386: E: non-readable /usr/sbin/useradd 0750
The file can't be read by everybody. If this is expected (for security
reasons), contact your rpmlint distributor to get it added to the list of
exceptions for your distro (or add it to your local configuration if you
installed rpmlint from the source tarball).

shadow-utils.i386: E: non-standard-executable-perm /usr/sbin/useradd 0750
A standard executable should have permission set to 0755. If you get this
message, it means that you have a wrong executable permissions in some files
included in your package.

shadow-utils.i386: W: file-not-utf8 /usr/share/doc/shadow-utils-4.1.0/HOWTO
The character encoding of this file is not UTF-8.  Consider converting it
in the specfile for example using iconv(1).

shadow-utils.i386: E: non-readable /usr/sbin/groupmod 0750
The file can't be read by everybody. If this is expected (for security
reasons), contact your rpmlint distributor to get it added to the list of
exceptions for your distro (or add it to your local configuration if you
installed rpmlint from the source tarball).

shadow-utils.i386: E: non-standard-executable-perm /usr/sbin/groupmod 0750
A standard executable should have permission set to 0755. If you get this
message, it means that you have a wrong executable permissions in some files
included in your package.

The non-standard perms make sense to me for this package.  The file-not-utf8 for
th HOWTO is a simple fix, and worth doing.

License tag should be BSD and GPLv2+.

Otherwise, no additional blockers.

Comment 2 Gwyn Ciesla 2008-05-16 15:05:49 UTC
Any updates?

Comment 3 Gwyn Ciesla 2008-09-09 17:30:24 UTC
Reviewed newest rawhide SRPM.

Still has space-and-tabs issues, and needs a license tag fix.

Comment 4 Gwyn Ciesla 2008-12-04 19:36:36 UTC
Ping?

Comment 5 Peter Vrabec 2009-01-19 15:09:57 UTC
fixed

* Mon Jan 19 2009 Peter Vrabec <pvrabec@redhat.com> 2:4.1.2-11
- fix license tag (#226416)
- get rid of tabs in spec file (#226416)
- convert HOWTO to UTF8 (#226416)

Comment 6 Gwyn Ciesla 2009-01-20 16:57:22 UTC
Looks great, APPROVED.  Thanks!


Note You need to log in before you can comment on or make changes to this bug.